#lang racket

(require net/url
         "mastodon.rkt"
         "configuration.rkt")

; Do an API call to the website
(define arnytron-generator (string-append feuforeve:website "/ArnYtron3000/brut"))
(define quote (port->string (get-pure-port (string->url arnytron-generator))))

; Send to mastodon
(display
  (send
    (new mastodon-client%
         [instance arnytron:mastodon-instance]
         [authorization-bearer arnytron:mastodon-authorization-bearer])
    new-status
    quote
    #:visibility "unlisted"))
(newline)
